Debian Bug report logs - #591346
Allow the installation of libhdf5-serial and libhdf5-openmpi at the same time

version graph

Package: hdf5; Maintainer for hdf5 is Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>;

Reported by: Sylvestre Ledru <sylvestre@debian.org>

Date: Mon, 2 Aug 2010 11:57:01 UTC

Severity: important

Merged with 657949

Fixed in version hdf5/1.8.8-7

Done: Francesco Paolo Lovergine <frankie@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#591346; Package hdf5. (Mon, 02 Aug 2010 11:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
New Bug report received and forwarded. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Mon, 02 Aug 2010 11:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Allow the installation of libhdf5-serial and libhdf5-openmpi at the same time
Date: Mon, 02 Aug 2010 13:55:21 +0200
Package: hdf5
Severity: important

Hello,

More and more packages are using hdf5 packages.
Some of them (for example, Code Saturne) are using hdf5 mpi by default while
others, like Scilab, needs the serial one.

This is causing also some issues at build time. See bug #591164.

To reproduce it:
aptitude install libhdf5-openmpi-1.8.4 libhdf5-serial-1.8.4

By the way, if the ABI are compatible, #586149 might be the solution.

Thanks for considering this. 

If you need help on this, don't hesitate to ask.
Sylvestre


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing'), (300, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-3-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash







Added indication that bug 591346 blocks 591164 Request was from Sylvestre Ledru <sylvestre@debian.org> to control@bugs.debian.org. (Mon, 02 Aug 2010 12:03:05 GMT) Full text and rfc822 format available.

Added indication that bug 591346 blocks 591154 Request was from Sylvestre Ledru <sylvestre@debian.org> to control@bugs.debian.org. (Mon, 02 Aug 2010 12:03:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#591346; Package hdf5. (Mon, 02 Aug 2010 13:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Mon, 02 Aug 2010 13:39:05 GMT) Full text and rfc822 format available.

Message #14 received at 591346@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Sylvestre Ledru <sylvestre@debian.org>, 591346@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#591346: Allow the installation of libhdf5-serial and libhdf5-openmpi at the same time
Date: Mon, 2 Aug 2010 09:37:14 -0400
severity 591346 serious
thanks

On 02/08/10 at 13:55 +0200, Sylvestre Ledru wrote:
> Package: hdf5
> Severity: important
> 
> Hello,
> 
> More and more packages are using hdf5 packages.
> Some of them (for example, Code Saturne) are using hdf5 mpi by default while
> others, like Scilab, needs the serial one.
> 
> This is causing also some issues at build time. See bug #591164.
> 
> To reproduce it:
> aptitude install libhdf5-openmpi-1.8.4 libhdf5-serial-1.8.4
> 
> By the way, if the ABI are compatible, #586149 might be the solution.
> 
> Thanks for considering this. 
> 
> If you need help on this, don't hesitate to ask.
> Sylvestre

This bug blocks 2 RC bugs, and I don't see any other resolution path for
those RC than fixing this bug.
So I'm upgrading this bug to severity:serious too, to make sure it stays
on the radar.

Lucas




Severity set to 'serious' from 'important' Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Mon, 02 Aug 2010 13:39:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#591346; Package hdf5. (Thu, 19 Aug 2010 13:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Francesco P. Lovergine" <frankie@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Thu, 19 Aug 2010 13:45:03 GMT) Full text and rfc822 format available.

Message #21 received at 591346@bugs.debian.org (full text, mbox):

From: "Francesco P. Lovergine" <frankie@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 591346@bugs.debian.org
Cc: Sylvestre Ledru <sylvestre@debian.org>
Subject: Re: [DebianGIS-dev] Bug#591346: Allow the installation of libhdf5-serial and libhdf5-openmpi at the same time
Date: Thu, 19 Aug 2010 15:43:18 +0200
On Mon, Aug 02, 2010 at 09:37:14AM -0400, Lucas Nussbaum wrote:
> severity 591346 serious
> thanks
> 
> On 02/08/10 at 13:55 +0200, Sylvestre Ledru wrote:
> > Package: hdf5
> > Severity: important
> > 
> > Hello,
> > 
> > More and more packages are using hdf5 packages.
> > Some of them (for example, Code Saturne) are using hdf5 mpi by default while
> > others, like Scilab, needs the serial one.
> > 
> > This is causing also some issues at build time. See bug #591164.
> > 
> > To reproduce it:
> > aptitude install libhdf5-openmpi-1.8.4 libhdf5-serial-1.8.4
> > 
> > By the way, if the ABI are compatible, #586149 might be the solution.
> > 
> > Thanks for considering this. 
> > 
> > If you need help on this, don't hesitate to ask.
> > Sylvestre
> 
> This bug blocks 2 RC bugs, and I don't see any other resolution path for
> those RC than fixing this bug.
> So I'm upgrading this bug to severity:serious too, to make sure it stays
> on the radar.
> 

WTF is the reason to both depend on serial and parallel flavors at
building time instead of the parallel version libhdf5-mpi-dev? 
Note that *if the ABI are compatible* is a wrong guess AFAIK: serial
and parallel versions have different shlib sub-dependendecies.
There are also many limitations in parallel edition: e.g. parallel
edition does not support pluggable compression in writing and does
not support variable length records, cannot coexists with
threadsafe and C++, and so on. I think the only safe and clean approach would be
having different lib names for MPI flavors, but upstream think
differently at the moment. I'm not intentioned to diverge about that,
which would require rdepends changing their building snippets forever
in Debian, and adopt other dirty tricks.


-- 
Francesco P. Lovergine




Added indication that bug 591346 blocks 596495 Request was from Sylvestre Ledru <sylvestre@debian.org> to control@bugs.debian.org. (Sun, 12 Sep 2010 08:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#591346; Package hdf5. (Mon, 08 Nov 2010 17:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Mon, 08 Nov 2010 17:45:06 GMT) Full text and rfc822 format available.

Message #28 received at 591346@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: "Francesco P. Lovergine" <frankie@debian.org>
Cc: control@bugs.debian.org, 591346@bugs.debian.org
Subject: Re: [DebianGIS-dev] Bug#591346: Allow the installation of libhdf5-serial and libhdf5-openmpi at the same time
Date: Mon, 8 Nov 2010 18:40:56 +0100
severity 591346 important
thanks

On Thu, Aug 19, 2010 at 03:43:18PM +0200, Francesco P. Lovergine wrote:
> 
> WTF is the reason to both depend on serial and parallel flavors at
> building time instead of the parallel version libhdf5-mpi-dev? 
> Note that *if the ABI are compatible* is a wrong guess AFAIK: serial
> and parallel versions have different shlib sub-dependendecies.
> There are also many limitations in parallel edition: e.g. parallel
> edition does not support pluggable compression in writing and does
> not support variable length records, cannot coexists with
> threadsafe and C++, and so on. I think the only safe and clean approach would be
> having different lib names for MPI flavors, but upstream think
> differently at the moment. I'm not intentioned to diverge about that,
> which would require rdepends changing their building snippets forever
> in Debian, and adopt other dirty tricks.

Both bugs marked as blocked have been fixed and transitioned to testing,
resetting severity to "important".

Cheers,
        Moritz




Severity set to 'important' from 'serious' Request was from Moritz Muehlenhoff <jmm@inutil.org> to control@bugs.debian.org. (Mon, 08 Nov 2010 17:45:08 GMT) Full text and rfc822 format available.

Forcibly Merged 591346 657949. Request was from Sylvestre Ledru <sylvestre@debian.org> to control@bugs.debian.org. (Tue, 31 Jan 2012 15:45:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Apr 2012 07:36:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:52:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.